DAR_XFORM(1)

NAME
dar_xform - disk archive "re-slicer"

SYNOPSIS
dar_xform [options] [<path>/]source [<path>/]destination

dar_xform -h

dar_xform -V

DESCRIPTION
dar_xform changes the size of slices of an existing archive.

Source is the basename of the existing archive, destination is the basename of the archive to be created. If source basename is "-", the archive is read from standard input. If the destination basename is "-", the archive is written to standard output and -s option is not available.

OPTIONS

-h  displays help usage.

-V  displays version information.

-b  make the terminal ring when user interaction is required (like for example the creation of a new slice when using the -p option)

-s <number>
    Size of the slices in bytes. If the number is followed by k (or K), M, G, T or P the size is in kilobytes, megabytes, gigabytes, terabytes or petabytes respectively. Example: by default "20M" means 20 megabytes it is the same as giving 20971520 as argument (see also -aSI and -abinary options). If -s is not present the backup will be written to a single slice whatever the size of the backup may be (there is probably some filesystem limitation, thus you might expect problems with file size over 2 gigabytes, depending on your filesystem).

-S <number>
    -S gives the size of the first slice which may be chosen independently of the size of following slices. This option needs -s and by default, the size of the first slice is the same as the one of the following slices.

-p [<integer>]
    pauses before writing to a new slice (this requires -s). By default there is no pause, all slices are output in the same directory, up to the end of the backup or until the filesystem is full. In this later case, the user is informed of the lack of disk space and dar stops for user interaction. As soon as some disk space is available, the user can continue the backup. The optional integer that this option can receive tells dar to only pause very 'n' slice. Giving 3 for 'n' will make dar pause only after slices 3, 6, 9 and so on. If this integer is not specified, the behavior is as if '1' was given as argument which makes dar pause after each slice.

-n  Do not allow overwriting of any slice.

-w  Do not warn before overwriting slice. By default (no -n and no -w) overwriting is allowed but a warning is issued before proceeding.

-E <string>
    the string is a command-line to be launched between the slices of the destination archive. See dar(1) man page (same option) for more information.

-F <string>
    the string is a command-line to be launched between the slices of the source archive. See dar(1) man page (same option) for more information.

-aSI[-unit[s]]
    when using k M G T E Z Y prefixes to define a size, use the SI meaning: multiple of 10^3 (a Mega is 1,000,000).

-abinary[-unit[s]]
    when using k M G T E Z Y prefixes to define a size, use the historical computer science meaning: multiple of 2^10 (a Mega is 1,048,576).

-aSI and -abinary can be used several times, they affect all prefix which follow even those found in file included by -B option up to the next -a... occurrence. Note that if in a file included by -B option an -abinary or -aSI is met, it affects all the following prefix even those outside the included files (for example in the following "-B some.dcf -s 1K" 1K may be equal to 1000 or 1024 depending on the presence of an -aSI or -abinary in the file some.dcf. By default (before any -aSI/binary argument has been reached), binary interpretation of suffix is done (for compatibility with older versions).

-Q  Do not display any message on stderr when not launched from a terminal (for example when launched from an at job or crontab). Remains that any question to the user will be assumed a 'no' answer, which most of the time will abort the program.

-^ perm[:user[:group]]
    defines the permission and ownership to use for created slices.

-3  <algo>
    Beside each created slice is generated an on-fly hash file using the specified algorithm. Available algorithm are "md5" and "sha1", by default no hash file is generated. This option description is more detailed in dar man page (where it has the same designation as here).

-9 <src_num>[,<dst_num>]
    Defines the minimum number of digit to use for the source archive and eventually for the destination archive. If the source has not been defined with a minimum number of digits and you want to specify a number of digits for the destination archive, use zero (or one) as value for src_num. If dst_num is not provided, it defaults to 1. See the same option in dar man page for more details.

NOTES
Dar_xform is not concerned by encryption or compression. It does not need to be aware of it to be able to change the slice scheme. Thus, it is not able to uncompress or uncipher an archive.

EXIT CODES
dar_xform uses the same exit status as dar does, see dar(1) man page.

SIGNALS
Any signal sent to dar_xform will abort the program immediately, there is no way to have a proper termination before the end of the process

SEE ALSO
dar(1), dar_slave(1), dar_manager(1), dar_cp(1), dar_split(1)

KNOWN BUGS
http://sourceforge.net/p/dar/bugs/

AUTHOR
http://dar.linux.free.fr/
Denis Corbin
France
Europe